import 'package:flutter/material.dart';
import 'package:go_router/go_router.dart';
import 'package:namer_app/lang.dart';

class LoginPage extends StatelessWidget {
  const LoginPage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Theme.of(context).colorScheme.primaryContainer,
      body: Container(
        decoration: BoxDecoration(
            image: DecorationImage(
          image: AssetImage("assets/images/building.jpg"),
          fit: BoxFit.cover,
        )),
        child: Column(
          mainAxisAlignment: MainAxisAlignment.spaceEvenly,
          children: [
            // BackButton(),
            Lang(),
            Expanded(
              child: Center(
                  child: Text(
                'telnow',
                style: TextStyle(color: Colors.orange, fontSize: 48),
              )),
            ),
            Expanded(
                child: Column(
              children: [
                Padding(
                  padding: const EdgeInsets.all(8.0),
                  child: TextField(
                    decoration: InputDecoration(
                      border: OutlineInputBorder(),
                      labelText: 'Nama Pengguna',
                    ),
                  ),
                ),
                Padding(
                  padding: const EdgeInsets.all(8.0),
                  child: TextField(
                    obscureText: true,
                    decoration: InputDecoration(
                      border: OutlineInputBorder(),
                      labelText: 'Kata Sandi',
                    ),
                  ),
                ),
                Padding(
                  padding: const EdgeInsets.all(8.0),
                  child: ElevatedButton(
                    onPressed: () => context.go('/list'),
                    style: ButtonStyle(
                        padding: MaterialStateProperty.all<EdgeInsets>(
                            EdgeInsets.only(
                                left: 260, right: 260, bottom: 25, top: 25)),
                        backgroundColor: MaterialStateProperty.all(
                            Color.fromARGB(0, 7, 140, 132)),
                        foregroundColor:
                            MaterialStateProperty.all<Color>(Colors.black),
                        shape:
                            MaterialStateProperty.all<RoundedRectangleBorder>(
                                RoundedRectangleBorder(
                          borderRadius: BorderRadius.circular(10),
                        ))),
                    child: Text(
                      'Masuk',
                      style: TextStyle(color: Colors.white),
                    ),
                  ),
                ),
                Text(
                  'Frisian Flag Indonesia, Tbk.',
                  style: TextStyle(color: Colors.white),
                ),
              ],
            )),
            Column(
              children: [
                Text('Kebijakan Privasi',
                    style: TextStyle(
                        fontSize: 16,
                        decoration: TextDecoration.underline,
                        fontWeight: FontWeight.w800,
                        color: Colors.white)),
                Text('Versi 4.0.0.0',
                    style: TextStyle(
                      fontSize: 16,
                      fontWeight: FontWeight.w800,
                      color: Colors.white,
                    ))
              ],
            ),
            Container(
              color: Theme.of(context).colorScheme.primaryContainer,
            )
          ],
        ),
      ),
    );
  }
}

// class Lang extends StatefulWidget {
//   const Lang({
//     Key? key,
//   }) : super(key: key);

//   @override
//   State<Lang> createState() => _LangState();
// }

// class _LangState extends State<Lang> {
//   var selectedIndex = 0;

//   @override
//   Widget build(BuildContext context) {
//     return Padding(
//       padding: const EdgeInsets.all(8.0),
//       child: Row(
//         children: [
//           BackButton(),
//           Padding(
//             padding: const EdgeInsets.only(right: 0),
//             child: Text(
//               'Kembali Pindai QR',
//               softWrap: true,
//               textAlign: TextAlign.left,
//             ),
//           ),
//           Expanded(child: Container()),
//           ElevatedButton(
//             onPressed: () {
//               print('EN');
//             },
//             style: ButtonStyle(
//                 foregroundColor: MaterialStateProperty.all<Color>(Colors.white),
//                 backgroundColor:
//                     MaterialStateProperty.all<Color>(Colors.white70),
//                 shape: MaterialStateProperty.all<RoundedRectangleBorder>(
//                     RoundedRectangleBorder(
//                   borderRadius: BorderRadius.only(
//                       topLeft: Radius.circular(20),
//                       bottomLeft: Radius.circular(20)),
//                 ))),
//             child: Text('EN'),
//           ),
//           ElevatedButton(
//               onPressed: () {
//                 print('ID');
//               },
//               style: ButtonStyle(
//                   foregroundColor:
//                       MaterialStateProperty.all<Color>(Colors.white),
//                   backgroundColor: MaterialStateProperty.all<Color>(Colors.red),
//                   shape: MaterialStateProperty.all<RoundedRectangleBorder>(
//                       RoundedRectangleBorder(
//                     borderRadius: BorderRadius.only(
//                         topRight: Radius.circular(20),
//                         bottomRight: Radius.circular(20)),
//                     side: BorderSide(color: Colors.red),
//                   ))),
//               child: Text('ID'))
//         ],
//       ),
//     );
//   }
// }
